Subject: [PATCH 1/7] KVM: api: add kvm_irq_routing_extended_msi

From: [email-masked] (Pavel Fedin)
Date: Tue, 07 Jul 2015 10:23:29 +0300

Hi!

> I guess not. But I prefer the new type anyway, as it also has a known
> error path for older kernels.

 flags != 0 has known error path too, and it's absolutely the same.
 Sorry, read this after writing my previous reply, so this is a short addendum.

 I see lots of people agreed on a new type. If my argument about reusing existing definitions is not
enough, you can ignore it. Three people beat one definitely. :)
 And yes, since we are talking about it, actually KVM_MSI_VALID_DEVID flag is not yet a part of
mainline, so it's not set in stone. Then, perhaps you could throw it away completely and invent
KVM_SIGNAL_EXT_MSI ioctl for sending MSIs with device ID. This would also be consistent IMO.

Kind regards,
Pavel Fedin
Expert Engineer
Samsung Electronics Research center Russia